{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"bunny.net Documentation","colors":{"primary":"#EF6126","light":"#EF6126","dark":"#EF6126"},"logo":{"light":"https://mintcdn.com/bunnynet-cb9733c2/54-4KCQKoNVNuoyW/logo/bunny-logo-dark.svg?fit=max\u0026auto=format\u0026n=54-4KCQKoNVNuoyW\u0026q=85\u0026s=62c091ea1aaea93d0a981902b7783e37","dark":"https://mintcdn.com/bunnynet-cb9733c2/54-4KCQKoNVNuoyW/logo/bunny-logo-light.svg?fit=max\u0026auto=format\u0026n=54-4KCQKoNVNuoyW\u0026q=85\u0026s=3610e32d68a9fa458b0116ac58ca812a"},"favicon":"https://mintcdn.com/bunnynet-cb9733c2/1bTPx1eyQm8EK8W3/favicon.png?fit=max\u0026auto=format\u0026n=1bTPx1eyQm8EK8W3\u0026q=85\u0026s=85267b63e804fac7a4dd94599bb8c6e8","navbar":{"links":[{"href":"https://bunny.net/docs/api-reference","label":"API Reference"},{"href":"https://github.com/BunnyWay","label":"GitHub"}],"primary":{"type":"button","label":"Get Started","href":"https://dash.bunny.net/auth/register"}},"footer":{"socials":{"discord":"https://discord.gg/bunnynet","github":"https://github.com/BunnyWay","x":"https://x.com/BunnyCDN","bluesky":"https://bsky.app/profile/bunny.net","linkedin":"https://www.linkedin.com/company/bunnynet","facebook":"https://www.facebook.com/bunnycdn"}},"icons":{"library":"lucide"},"contextual":{"options":["copy","claude","chatgpt","cursor","view","vscode"],"display":"header"},"interaction":{"drilldown":false},"metadata":{"timestamp":true},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"bunnynet-cb9733c2","hasAudioNarration":false,"actualSubdomain":"bunnynet-cb9733c2","customDomains":["bunny.net"],"gitSource":{"type":"github","owner":"bunnyway","repo":"documentation","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae49f2d21d44d6b52dcfe35","collectionId":"5e262b87-ade9-45d8-9b63-06888c8d59a3","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae49f2d21d44d6b52dcfe35"},"feedback":{"thumbs":true,"contextualFeedback":{"allowEmail":true},"agentFeedback":true,"edits":true,"issues":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae62ed29229f31e9607809e","clientVersion":"0.0.4044","searchFilterCounts":[{"language":"default","tag":"Documentation","count":752},{"language":"default","tag":"API Reference","count":318},{"language":"default","tag":"Core Platform API","count":109},{"language":"default","tag":"CDN","count":82},{"language":"default","tag":"Shield API","count":66},{"language":"default","tag":"Stream","count":66},{"language":"default","tag":"Magic Containers API","count":56},{"language":"default","tag":"Storage","count":54},{"language":"default","tag":"Guides","count":54},{"language":"default","tag":"Reference","count":52}],"searchSettings":{"isFiltersEnabled":true}},"assistantConfig":{"enableStarterQuestions":false,"deflection":{"enabled":true,"type":"link","email":"support@bunny.net","url":"https://bunny.net/contact","showHelpButton":true}},"basePath":"/docs","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"privacy":{"consentBanner":{"enabled":true}},"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".dark img[src*=\"/logo/frameworks/angular.svg\"],.dark img[src*=\"/logo/frameworks/eleventy.svg\"],.dark img[src*=\"/logo/frameworks/express.svg\"],.dark img[src*=\"/logo/frameworks/mariadb.svg\"],.dark img[src*=\"/logo/frameworks/nextjs.svg\"],.dark img[src*=\"/logo/frameworks/sphinx.svg\"]{filter:invert(1)}html:not(.dark) img[src*=\"/logo/frameworks/zola.svg\"]{filter:invert(1)}"}],"page":{"pagePath":"api-reference/partner/billing/get-customer-billing","slug":"/api-reference/partner/billing/get-customer-billing","pageMetadata":{"title":"Get Customer Billing","description":"Get a billing summary for the customer's account, including invoice history.","deprecated":null,"version":null,"openapi":"https://core-api-public-docs.b-cdn.net/docs/v3/PartnerPortal.json get /partner/customer/{customerUserId}/billing","href":"/api-reference/partner/billing/get-customer-billing","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Get a billing summary for the customer’s account, including invoice history.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get Customer Billing","description":"Get a billing summary for the customer's account, including invoice history.","deprecated":null,"version":null,"openapi":"https://core-api-public-docs.b-cdn.net/docs/v3/PartnerPortal.json get /partner/customer/{customerUserId}/billing","href":"/api-reference/partner/billing/get-customer-billing","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Billing"],"summary":"Get Customer Billing","description":"Get a billing summary for the customer's account, including invoice history.","operationId":"GetPartnerCustomerBillingEndpoint_GetBilling","parameters":["a959492d-ea47-4993-9ad5-763af7d1a522"],"responses":{"200":"ba104324-88d1-4596-8b86-3ff8dfb62eb9","403":"3f674616-0d7a-4ad7-b6d9-a550eed2538f"},"security":["4923d3fa-391b-4e78-accc-f817eddb9b7d","32c270f3-30b9-4653-97b2-0e5252e96026"],"method":"get","type":"path","servers":["6581fa29-65cc-44e7-8d06-f6017a6fe91d"],"path":"/partner/customer/{customerUserId}/billing","baseUrlOptions":["https://api.bunny.net"],"title":"Get Customer Billing","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"a959492d-ea47-4993-9ad5-763af7d1a522":{"name":"customerUserId","in":"path","required":true,"schema":{"type":"string","isRequired":true,"uniqueKey":"","typeLabel":"string"},"x-position":1}},"responses":{"ba104324-88d1-4596-8b86-3ff8dfb62eb9":{"description":"Billing view.","content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"Balance":{"type":"number","description":"The current account balance","format":"double","uniqueKey":"Balance","typeLabel":"number\u003cdouble>"},"ThisMonthCharges":{"type":"number","description":"The current account charges of the running month","format":"double","uniqueKey":"ThisMonthCharges","typeLabel":"number\u003cdouble>"},"LastRechargeBalance":{"type":"number","description":"Last recharge amount balance","format":"double","uniqueKey":"LastRechargeBalance","typeLabel":"number\u003cdouble>"},"AvailableBalance":{"type":"number","description":"The current account balance plus available (unexpired) coupon credit","format":"double","uniqueKey":"AvailableBalance","typeLabel":"number\u003cdouble>"},"CouponBalance":{"type":"number","description":"All available (unexpired) coupon money on the account","format":"decimal","uniqueKey":"CouponBalance","typeLabel":"number\u003cdecimal>"},"MonthlyCouponUsage":{"type":"number","description":"The total coupon credit used this month across all services","format":"decimal","uniqueKey":"MonthlyCouponUsage","typeLabel":"number\u003cdecimal>"},"BillingRecords":{"oneOf":[{"type":"array","description":"The list of billing records for this account","items":{"type":"object","additionalProperties":false,"properties":{"Id":{"type":"integer","description":"The ID of the billing record","format":"int64","uniqueKey":"BillingRecords.oneOf.0.items.[INDEX].Id","typeLabel":"integer\u003cint64>"},"PaymentId":{"oneOf":[{"type":"string","description":"The external ID of the payment","uniqueKey":"BillingRecords.oneOf.0.items.[INDEX].PaymentId.oneOf.0","typeLabel":"string"},{"type":"null","description":"The external ID of the payment","uniqueKey":"BillingRecords.oneOf.0.items.[INDEX].PaymentId.oneOf.1","typeLabel":"null"}],"uniqueKey":"BillingRecords.oneOf.0.items.[INDEX].PaymentId","typeLabel":"string | null"},"Amount":{"type":"number","description":"The amount linked to the record model","format":"double","uniqueKey":"BillingRecords.oneOf.0.items.[INDEX].Amount","typeLabel":"number\u003cdouble>"},"Payer":{"oneOf":[{"type":"string","description":"The payer reference that sent the payment","uniqueKey":"BillingRecords.oneOf.0.items.[INDEX].Payer.oneOf.0","typeLabel":"string"},{"type":"null","description":"The payer reference that sent the payment","uniqueKey":"BillingRecords.oneOf.0.items.[INDEX].Payer.oneOf.1","typeLabel":"null"}],"uniqueKey":"BillingRecords.oneOf.0.items.[INDEX].Payer","typeLabel":"string | null"},"Timestamp":{"type":"string","description":"The date and time when the billing record was created","format":"date-time","uniqueKey":"BillingRecords.oneOf.0.items.[INDEX].Timestamp","typeLabel":"string\u003cdate-time>"},"Type":{"type":"integer","description":"The type of the billing record\n\n0 = PayPal\n1 = Crypto\n2 = Credit Card\n3 = Monthly Usage\n4 = Refund\n5 = Coupon Code\n6 = Bank Transfer\n7 = Affiliate Credits","enum":[0,1,2,3,4,5,6,7],"x-enumNames":["PayPal","Crypto","CreditCard","MonthlyUsage","Refund","CouponCode","BankTransfer","AffiliateCredits"],"uniqueKey":"BillingRecords.oneOf.0.items.[INDEX].Type","typeLabel":"enum\u003cinteger>"},"InvoiceAvailable":{"type":"boolean","description":"Determines if an invoice is available","uniqueKey":"BillingRecords.oneOf.0.items.[INDEX].InvoiceAvailable","typeLabel":"boolean"},"DocumentDownloadUrl":{"oneOf":[{"type":"string","description":"The URL where the invoice or document can be downloaded. Null if this is not available.","uniqueKey":"BillingRecords.oneOf.0.items.[INDEX].DocumentDownloadUrl.oneOf.0","typeLabel":"string"},{"type":"null","description":"The URL where the invoice or document can be downloaded. Null if this is not available.","uniqueKey":"BillingRecords.oneOf.0.items.[INDEX].DocumentDownloadUrl.oneOf.1","typeLabel":"null"}],"uniqueKey":"BillingRecords.oneOf.0.items.[INDEX].DocumentDownloadUrl","typeLabel":"string | null"},"DetailedDocumentDownloadUrl":{"oneOf":[{"type":"string","description":"The URL where the document with product usage breakdown can be downloaded. Null if this is not available.","uniqueKey":"BillingRecords.oneOf.0.items.[INDEX].DetailedDocumentDownloadUrl.oneOf.0","typeLabel":"string"},{"type":"null","description":"The URL where the document with product usage breakdown can be downloaded. Null if this is not available.","uniqueKey":"BillingRecords.oneOf.0.items.[INDEX].DetailedDocumentDownloadUrl.oneOf.1","typeLabel":"null"}],"uniqueKey":"BillingRecords.oneOf.0.items.[INDEX].DetailedDocumentDownloadUrl","typeLabel":"string | null"}},"uniqueKey":"BillingRecords.oneOf.0.items.[INDEX]","typeLabel":"object"},"uniqueKey":"BillingRecords.oneOf.0","typeLabel":"object[]"},{"type":"null","description":"The list of billing records for this account","items":{"type":"object","additionalProperties":false,"properties":{"Id":{"type":"integer","description":"The ID of the billing record","format":"int64"},"PaymentId":{"oneOf":[{"type":"string","description":"The external ID of the payment"},{"type":"null","description":"The external ID of the payment"}]},"Amount":{"type":"number","description":"The amount linked to the record model","format":"double"},"Payer":{"oneOf":[{"type":"string","description":"The payer reference that sent the payment"},{"type":"null","description":"The payer reference that sent the payment"}]},"Timestamp":{"type":"string","description":"The date and time when the billing record was created","format":"date-time"},"Type":{"type":"integer","description":"The type of the billing record\n\n0 = PayPal\n1 = Crypto\n2 = Credit Card\n3 = Monthly Usage\n4 = Refund\n5 = Coupon Code\n6 = Bank Transfer\n7 = Affiliate Credits","enum":[0,1,2,3,4,5,6,7],"x-enumNames":["PayPal","Crypto","CreditCard","MonthlyUsage","Refund","CouponCode","BankTransfer","AffiliateCredits"]},"InvoiceAvailable":{"type":"boolean","description":"Determines if an invoice is available"},"DocumentDownloadUrl":{"oneOf":[{"type":"string","description":"The URL where the invoice or document can be downloaded. Null if this is not available."},{"type":"null","description":"The URL where the invoice or document can be downloaded. Null if this is not available."}]},"DetailedDocumentDownloadUrl":{"oneOf":[{"type":"string","description":"The URL where the document with product usage breakdown can be downloaded. Null if this is not available."},{"type":"null","description":"The URL where the document with product usage breakdown can be downloaded. Null if this is not available."}]}}},"uniqueKey":"BillingRecords.oneOf.1","typeLabel":"null"}],"uniqueKey":"BillingRecords","typeLabel":"object[] | null"},"BillingHistoryChart":{"oneOf":[{"type":"object","description":"The constructed billing history chart data","additionalProperties":{"type":"integer","format":"int64","uniqueKey":"BillingHistoryChart.oneOf.0.additionalProperties","typeLabel":"integer\u003cint64>"},"uniqueKey":"BillingHistoryChart.oneOf.0","typeLabel":"object"},{"type":"null","description":"The constructed billing history chart data","additionalProperties":{"type":"integer","format":"int64","uniqueKey":"BillingHistoryChart.oneOf.1.additionalProperties","typeLabel":"integer\u003cint64>"},"uniqueKey":"BillingHistoryChart.oneOf.1","typeLabel":"null"}],"uniqueKey":"BillingHistoryChart","typeLabel":"object | null"},"MonthlyChargesEUTraffic":{"type":"number","description":"The total charges this month paid for European traffic","format":"double","uniqueKey":"MonthlyChargesEUTraffic","typeLabel":"number\u003cdouble>"},"MonthlyChargesUSTraffic":{"type":"number","description":"The total charges this month paid for North American traffic","format":"double","uniqueKey":"MonthlyChargesUSTraffic","typeLabel":"number\u003cdouble>"},"MonthlyChargesASIATraffic":{"type":"number","description":"The total charges this month paid for Asian and Oceanian traffic","format":"double","uniqueKey":"MonthlyChargesASIATraffic","typeLabel":"number\u003cdouble>"},"MonthlyChargesAFTraffic":{"type":"number","description":"The total charges this month paid for African traffic","format":"double","uniqueKey":"MonthlyChargesAFTraffic","typeLabel":"number\u003cdouble>"},"MonthlyChargesSATraffic":{"type":"number","description":"The total charges this month paid for South American traffic","format":"double","uniqueKey":"MonthlyChargesSATraffic","typeLabel":"number\u003cdouble>"},"MonthlyChargesStorage":{"type":"number","description":"The total charges this month paid for Edge Storage","format":"double","uniqueKey":"MonthlyChargesStorage","typeLabel":"number\u003cdouble>"},"MonthlyChargesDNS":{"type":"number","description":"The total monthly charges for Bunny DNS","format":"double","uniqueKey":"MonthlyChargesDNS","typeLabel":"number\u003cdouble>"},"MonthlyChargesOptimizer":{"type":"number","description":"The monthly charges caused by optimizer.","format":"double","uniqueKey":"MonthlyChargesOptimizer","typeLabel":"number\u003cdouble>"},"MonthlyChargesTranscribe":{"type":"number","description":"The total monthly charges for Bunny Stream Transcribe","format":"double","uniqueKey":"MonthlyChargesTranscribe","typeLabel":"number\u003cdouble>"},"MonthlyChargesPremiumEncoding":{"type":"number","description":"The total monthly charges for Bunny Stream Premium Encoding","format":"decimal","uniqueKey":"MonthlyChargesPremiumEncoding","typeLabel":"number\u003cdecimal>"},"MonthlyChargesExtraPullZones":{"type":"number","description":"The monthly charges caused by extra pull zones.","format":"double","uniqueKey":"MonthlyChargesExtraPullZones","typeLabel":"number\u003cdouble>"},"MonthlyChargesExtraStorageZones":{"type":"number","description":"The monthly charges caused by extra storage zones.","format":"double","uniqueKey":"MonthlyChargesExtraStorageZones","typeLabel":"number\u003cdouble>"},"MonthlyChargesExtraDnsZones":{"type":"number","description":"The monthly charges caused by extra DNS zones.","format":"double","uniqueKey":"MonthlyChargesExtraDnsZones","typeLabel":"number\u003cdouble>"},"MonthlyChargesExtraVideoLibraries":{"type":"number","description":"The monthly charges caused by extra video libraries.","format":"double","uniqueKey":"MonthlyChargesExtraVideoLibraries","typeLabel":"number\u003cdouble>"},"MonthlyChargesScripting":{"type":"number","description":"The total monthly charges for Bunny Edge Scripting","format":"double","uniqueKey":"MonthlyChargesScripting","typeLabel":"number\u003cdouble>"},"MonthlyChargesScriptingRequests":{"type":"number","description":"The total monthly charges for Bunny Edge Scripting Requests","format":"double","uniqueKey":"MonthlyChargesScriptingRequests","typeLabel":"number\u003cdouble>"},"MonthlyChargesScriptingCpu":{"type":"number","description":"The total monthly charges for Bunny Edge Scripting CPU usage","format":"double","uniqueKey":"MonthlyChargesScriptingCpu","typeLabel":"number\u003cdouble>"},"MonthlyChargesDrm":{"type":"number","description":"The total monthly charges for DRM","format":"double","uniqueKey":"MonthlyChargesDrm","typeLabel":"number\u003cdouble>"},"MonthlyChargesMagicContainers":{"type":"number","description":"The total monthly charges for Magic Containers","format":"decimal","uniqueKey":"MonthlyChargesMagicContainers","typeLabel":"number\u003cdecimal>"},"MonthlyMcCpu":{"oneOf":[{"type":"object","description":"The monthly charges and usage for Magic Containers CPU","properties":{"Usage":{"type":"number","description":"The usage based charge in USD","format":"decimal","uniqueKey":"MonthlyMcCpu.oneOf.0.Usage","typeLabel":"number\u003cdecimal>"},"TotalUnits":{"type":"integer","description":"The billed quantity for the related product","format":"int64","uniqueKey":"MonthlyMcCpu.oneOf.0.TotalUnits","typeLabel":"integer\u003cint64>"},"MeasuringUnit":{"oneOf":[{"type":"string","description":"Measuring Unit for TotalUnits (e.g. Rows, GB, Seconds, Bytes, Block-seconds)","uniqueKey":"MonthlyMcCpu.oneOf.0.MeasuringUnit.oneOf.0","typeLabel":"string"},{"type":"null","description":"Measuring Unit for TotalUnits (e.g. Rows, GB, Seconds, Bytes, Block-seconds)","uniqueKey":"MonthlyMcCpu.oneOf.0.MeasuringUnit.oneOf.1","typeLabel":"null"}],"uniqueKey":"MonthlyMcCpu.oneOf.0.MeasuringUnit","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"MonthlyMcCpu.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"MonthlyMcCpu.oneOf.1","typeLabel":"null"}],"uniqueKey":"MonthlyMcCpu","typeLabel":"object | null"},"MonthlyMcMemory":{"oneOf":[{"type":"object","description":"The monthly charges and usage for Magic Containers Memory","properties":{"Usage":{"type":"number","description":"The usage based charge in USD","format":"decimal","uniqueKey":"MonthlyMcMemory.oneOf.0.Usage","typeLabel":"number\u003cdecimal>"},"TotalUnits":{"type":"integer","description":"The billed quantity for the related product","format":"int64","uniqueKey":"MonthlyMcMemory.oneOf.0.TotalUnits","typeLabel":"integer\u003cint64>"},"MeasuringUnit":{"oneOf":[{"type":"string","description":"Measuring Unit for TotalUnits (e.g. Rows, GB, Seconds, Bytes, Block-seconds)","uniqueKey":"MonthlyMcMemory.oneOf.0.MeasuringUnit.oneOf.0","typeLabel":"string"},{"type":"null","description":"Measuring Unit for TotalUnits (e.g. Rows, GB, Seconds, Bytes, Block-seconds)","uniqueKey":"MonthlyMcMemory.oneOf.0.MeasuringUnit.oneOf.1","typeLabel":"null"}],"uniqueKey":"MonthlyMcMemory.oneOf.0.MeasuringUnit","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"MonthlyMcMemory.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"MonthlyMcMemory.oneOf.1","typeLabel":"null"}],"uniqueKey":"MonthlyMcMemory","typeLabel":"object | null"},"MonthlyMcIp":{"oneOf":[{"type":"object","description":"The monthly charges and usage for Magic Containers Anycast IP","properties":{"Usage":{"type":"number","description":"The usage based charge in USD","format":"decimal","uniqueKey":"MonthlyMcIp.oneOf.0.Usage","typeLabel":"number\u003cdecimal>"},"TotalUnits":{"type":"integer","description":"The billed quantity for the related product","format":"int64","uniqueKey":"MonthlyMcIp.oneOf.0.TotalUnits","typeLabel":"integer\u003cint64>"},"MeasuringUnit":{"oneOf":[{"type":"string","description":"Measuring Unit for TotalUnits (e.g. Rows, GB, Seconds, Bytes, Block-seconds)","uniqueKey":"MonthlyMcIp.oneOf.0.MeasuringUnit.oneOf.0","typeLabel":"string"},{"type":"null","description":"Measuring Unit for TotalUnits (e.g. Rows, GB, Seconds, Bytes, Block-seconds)","uniqueKey":"MonthlyMcIp.oneOf.0.MeasuringUnit.oneOf.1","typeLabel":"null"}],"uniqueKey":"MonthlyMcIp.oneOf.0.MeasuringUnit","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"MonthlyMcIp.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"MonthlyMcIp.oneOf.1","typeLabel":"null"}],"uniqueKey":"MonthlyMcIp","typeLabel":"object | null"},"MonthlyMcIngressTraffic":{"oneOf":[{"type":"object","description":"The monthly charges and usage for Magic Containers Ingress Traffic","properties":{"Usage":{"type":"number","description":"The usage based charge in USD","format":"decimal","uniqueKey":"MonthlyMcIngressTraffic.oneOf.0.Usage","typeLabel":"number\u003cdecimal>"},"TotalUnits":{"type":"integer","description":"The billed quantity for the related product","format":"int64","uniqueKey":"MonthlyMcIngressTraffic.oneOf.0.TotalUnits","typeLabel":"integer\u003cint64>"},"MeasuringUnit":{"oneOf":[{"type":"string","description":"Measuring Unit for TotalUnits (e.g. Rows, GB, Seconds, Bytes, Block-seconds)","uniqueKey":"MonthlyMcIngressTraffic.oneOf.0.MeasuringUnit.oneOf.0","typeLabel":"string"},{"type":"null","description":"Measuring Unit for TotalUnits (e.g. Rows, GB, Seconds, Bytes, Block-seconds)","uniqueKey":"MonthlyMcIngressTraffic.oneOf.0.MeasuringUnit.oneOf.1","typeLabel":"null"}],"uniqueKey":"MonthlyMcIngressTraffic.oneOf.0.MeasuringUnit","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"MonthlyMcIngressTraffic.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"MonthlyMcIngressTraffic.oneOf.1","typeLabel":"null"}],"uniqueKey":"MonthlyMcIngressTraffic","typeLabel":"object | null"},"MonthlyMcEgressTraffic":{"oneOf":[{"type":"object","description":"The monthly charges and usage for Magic Containers Egress Traffic","properties":{"Usage":{"type":"number","description":"The usage based charge in USD","format":"decimal","uniqueKey":"MonthlyMcEgressTraffic.oneOf.0.Usage","typeLabel":"number\u003cdecimal>"},"TotalUnits":{"type":"integer","description":"The billed quantity for the related product","format":"int64","uniqueKey":"MonthlyMcEgressTraffic.oneOf.0.TotalUnits","typeLabel":"integer\u003cint64>"},"MeasuringUnit":{"oneOf":[{"type":"string","description":"Measuring Unit for TotalUnits (e.g. Rows, GB, Seconds, Bytes, Block-seconds)","uniqueKey":"MonthlyMcEgressTraffic.oneOf.0.MeasuringUnit.oneOf.0","typeLabel":"string"},{"type":"null","description":"Measuring Unit for TotalUnits (e.g. Rows, GB, Seconds, Bytes, Block-seconds)","uniqueKey":"MonthlyMcEgressTraffic.oneOf.0.MeasuringUnit.oneOf.1","typeLabel":"null"}],"uniqueKey":"MonthlyMcEgressTraffic.oneOf.0.MeasuringUnit","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"MonthlyMcEgressTraffic.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"MonthlyMcEgressTraffic.oneOf.1","typeLabel":"null"}],"uniqueKey":"MonthlyMcEgressTraffic","typeLabel":"object | null"},"MonthlyMcVolumes":{"oneOf":[{"type":"object","description":"The monthly charges and usage for Magic Containers Persistent Volumes","properties":{"Usage":{"type":"number","description":"The usage based charge in USD","format":"decimal","uniqueKey":"MonthlyMcVolumes.oneOf.0.Usage","typeLabel":"number\u003cdecimal>"},"TotalUnits":{"type":"integer","description":"The billed quantity for the related product","format":"int64","uniqueKey":"MonthlyMcVolumes.oneOf.0.TotalUnits","typeLabel":"integer\u003cint64>"},"MeasuringUnit":{"oneOf":[{"type":"string","description":"Measuring Unit for TotalUnits (e.g. Rows, GB, Seconds, Bytes, Block-seconds)","uniqueKey":"MonthlyMcVolumes.oneOf.0.MeasuringUnit.oneOf.0","typeLabel":"string"},{"type":"null","description":"Measuring Unit for TotalUnits (e.g. Rows, GB, Seconds, Bytes, Block-seconds)","uniqueKey":"MonthlyMcVolumes.oneOf.0.MeasuringUnit.oneOf.1","typeLabel":"null"}],"uniqueKey":"MonthlyMcVolumes.oneOf.0.MeasuringUnit","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"MonthlyMcVolumes.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"MonthlyMcVolumes.oneOf.1","typeLabel":"null"}],"uniqueKey":"MonthlyMcVolumes","typeLabel":"object | null"},"MonthlyChargesShield":{"type":"number","description":"The total monthly charges for Shield","format":"decimal","uniqueKey":"MonthlyChargesShield","typeLabel":"number\u003cdecimal>"},"MonthlyChargesTaxes":{"type":"number","description":"The total monthly charges for Taxes","format":"decimal","uniqueKey":"MonthlyChargesTaxes","typeLabel":"number\u003cdecimal>"},"MonthlyChargesWebSockets":{"type":"number","description":"The total monthly charges for WebSockets","format":"decimal","uniqueKey":"MonthlyChargesWebSockets","typeLabel":"number\u003cdecimal>"},"MonthlyChargesDB":{"type":"number","description":"The total monthly charges for DB","format":"decimal","uniqueKey":"MonthlyChargesDB","typeLabel":"number\u003cdecimal>"},"MonthlyChargesLoadBalancer":{"type":"number","description":"The total monthly charges for Load Balancer","format":"decimal","uniqueKey":"MonthlyChargesLoadBalancer","typeLabel":"number\u003cdecimal>"},"MonthlyDBWrites":{"oneOf":[{"type":"object","description":"The monthly charges and usage for BunnyDB row writes","properties":{"Usage":{"type":"number","description":"The usage based charge in USD","format":"decimal","uniqueKey":"MonthlyDBWrites.oneOf.0.Usage","typeLabel":"number\u003cdecimal>"},"TotalUnits":{"type":"integer","description":"The billed quantity for the related product","format":"int64","uniqueKey":"MonthlyDBWrites.oneOf.0.TotalUnits","typeLabel":"integer\u003cint64>"},"MeasuringUnit":{"oneOf":[{"type":"string","description":"Measuring Unit for TotalUnits (e.g. Rows, GB, Seconds, Bytes, Block-seconds)","uniqueKey":"MonthlyDBWrites.oneOf.0.MeasuringUnit.oneOf.0","typeLabel":"string"},{"type":"null","description":"Measuring Unit for TotalUnits (e.g. Rows, GB, Seconds, Bytes, Block-seconds)","uniqueKey":"MonthlyDBWrites.oneOf.0.MeasuringUnit.oneOf.1","typeLabel":"null"}],"uniqueKey":"MonthlyDBWrites.oneOf.0.MeasuringUnit","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"MonthlyDBWrites.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"MonthlyDBWrites.oneOf.1","typeLabel":"null"}],"uniqueKey":"MonthlyDBWrites","typeLabel":"object | null"},"MonthlyDBReads":{"oneOf":[{"type":"object","description":"The monthly charges and usage for BunnyDB row reads","properties":{"Usage":{"type":"number","description":"The usage based charge in USD","format":"decimal","uniqueKey":"MonthlyDBReads.oneOf.0.Usage","typeLabel":"number\u003cdecimal>"},"TotalUnits":{"type":"integer","description":"The billed quantity for the related product","format":"int64","uniqueKey":"MonthlyDBReads.oneOf.0.TotalUnits","typeLabel":"integer\u003cint64>"},"MeasuringUnit":{"oneOf":[{"type":"string","description":"Measuring Unit for TotalUnits (e.g. Rows, GB, Seconds, Bytes, Block-seconds)","uniqueKey":"MonthlyDBReads.oneOf.0.MeasuringUnit.oneOf.0","typeLabel":"string"},{"type":"null","description":"Measuring Unit for TotalUnits (e.g. Rows, GB, Seconds, Bytes, Block-seconds)","uniqueKey":"MonthlyDBReads.oneOf.0.MeasuringUnit.oneOf.1","typeLabel":"null"}],"uniqueKey":"MonthlyDBReads.oneOf.0.MeasuringUnit","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"MonthlyDBReads.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"MonthlyDBReads.oneOf.1","typeLabel":"null"}],"uniqueKey":"MonthlyDBReads","typeLabel":"object | null"},"MonthlyDBStorage":{"oneOf":[{"type":"object","description":"The monthly charges and usage for BunnyDB storage","properties":{"Usage":{"type":"number","description":"The usage based charge in USD","format":"decimal","uniqueKey":"MonthlyDBStorage.oneOf.0.Usage","typeLabel":"number\u003cdecimal>"},"TotalUnits":{"type":"integer","description":"The billed quantity for the related product","format":"int64","uniqueKey":"MonthlyDBStorage.oneOf.0.TotalUnits","typeLabel":"integer\u003cint64>"},"MeasuringUnit":{"oneOf":[{"type":"string","description":"Measuring Unit for TotalUnits (e.g. Rows, GB, Seconds, Bytes, Block-seconds)","uniqueKey":"MonthlyDBStorage.oneOf.0.MeasuringUnit.oneOf.0","typeLabel":"string"},{"type":"null","description":"Measuring Unit for TotalUnits (e.g. Rows, GB, Seconds, Bytes, Block-seconds)","uniqueKey":"MonthlyDBStorage.oneOf.0.MeasuringUnit.oneOf.1","typeLabel":"null"}],"uniqueKey":"MonthlyDBStorage.oneOf.0.MeasuringUnit","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"MonthlyDBStorage.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"MonthlyDBStorage.oneOf.1","typeLabel":"null"}],"uniqueKey":"MonthlyDBStorage","typeLabel":"object | null"},"MonthlyDBReplica":{"oneOf":[{"type":"object","description":"The monthly charges and usage for BunnyDB replica storage","properties":{"Usage":{"type":"number","description":"The usage based charge in USD","format":"decimal","uniqueKey":"MonthlyDBReplica.oneOf.0.Usage","typeLabel":"number\u003cdecimal>"},"TotalUnits":{"type":"integer","description":"The billed quantity for the related product","format":"int64","uniqueKey":"MonthlyDBReplica.oneOf.0.TotalUnits","typeLabel":"integer\u003cint64>"},"MeasuringUnit":{"oneOf":[{"type":"string","description":"Measuring Unit for TotalUnits (e.g. Rows, GB, Seconds, Bytes, Block-seconds)","uniqueKey":"MonthlyDBReplica.oneOf.0.MeasuringUnit.oneOf.0","typeLabel":"string"},{"type":"null","description":"Measuring Unit for TotalUnits (e.g. Rows, GB, Seconds, Bytes, Block-seconds)","uniqueKey":"MonthlyDBReplica.oneOf.0.MeasuringUnit.oneOf.1","typeLabel":"null"}],"uniqueKey":"MonthlyDBReplica.oneOf.0.MeasuringUnit","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"MonthlyDBReplica.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"MonthlyDBReplica.oneOf.1","typeLabel":"null"}],"uniqueKey":"MonthlyDBReplica","typeLabel":"object | null"},"MonthlyChargesAiGateway":{"type":"number","description":"The total monthly charges for AI Gateway","format":"decimal","uniqueKey":"MonthlyChargesAiGateway","typeLabel":"number\u003cdecimal>"},"MonthlyAiGatewayInputTokens":{"oneOf":[{"type":"object","description":"The monthly charges and usage for AI Gateway input tokens","properties":{"Usage":{"type":"number","description":"The usage based charge in USD","format":"decimal","uniqueKey":"MonthlyAiGatewayInputTokens.oneOf.0.Usage","typeLabel":"number\u003cdecimal>"},"TotalUnits":{"type":"integer","description":"The billed quantity for the related product","format":"int64","uniqueKey":"MonthlyAiGatewayInputTokens.oneOf.0.TotalUnits","typeLabel":"integer\u003cint64>"},"MeasuringUnit":{"oneOf":[{"type":"string","description":"Measuring Unit for TotalUnits (e.g. Rows, GB, Seconds, Bytes, Block-seconds)","uniqueKey":"MonthlyAiGatewayInputTokens.oneOf.0.MeasuringUnit.oneOf.0","typeLabel":"string"},{"type":"null","description":"Measuring Unit for TotalUnits (e.g. Rows, GB, Seconds, Bytes, Block-seconds)","uniqueKey":"MonthlyAiGatewayInputTokens.oneOf.0.MeasuringUnit.oneOf.1","typeLabel":"null"}],"uniqueKey":"MonthlyAiGatewayInputTokens.oneOf.0.MeasuringUnit","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"MonthlyAiGatewayInputTokens.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"MonthlyAiGatewayInputTokens.oneOf.1","typeLabel":"null"}],"uniqueKey":"MonthlyAiGatewayInputTokens","typeLabel":"object | null"},"MonthlyAiGatewayOutputTokens":{"oneOf":[{"type":"object","description":"The monthly charges and usage for AI Gateway output tokens","properties":{"Usage":{"type":"number","description":"The usage based charge in USD","format":"decimal","uniqueKey":"MonthlyAiGatewayOutputTokens.oneOf.0.Usage","typeLabel":"number\u003cdecimal>"},"TotalUnits":{"type":"integer","description":"The billed quantity for the related product","format":"int64","uniqueKey":"MonthlyAiGatewayOutputTokens.oneOf.0.TotalUnits","typeLabel":"integer\u003cint64>"},"MeasuringUnit":{"oneOf":[{"type":"string","description":"Measuring Unit for TotalUnits (e.g. Rows, GB, Seconds, Bytes, Block-seconds)","uniqueKey":"MonthlyAiGatewayOutputTokens.oneOf.0.MeasuringUnit.oneOf.0","typeLabel":"string"},{"type":"null","description":"Measuring Unit for TotalUnits (e.g. Rows, GB, Seconds, Bytes, Block-seconds)","uniqueKey":"MonthlyAiGatewayOutputTokens.oneOf.0.MeasuringUnit.oneOf.1","typeLabel":"null"}],"uniqueKey":"MonthlyAiGatewayOutputTokens.oneOf.0.MeasuringUnit","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"MonthlyAiGatewayOutputTokens.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"MonthlyAiGatewayOutputTokens.oneOf.1","typeLabel":"null"}],"uniqueKey":"MonthlyAiGatewayOutputTokens","typeLabel":"object | null"},"MonthlyAiGatewayCachedTokens":{"oneOf":[{"type":"object","description":"The monthly charges and usage for AI Gateway cached tokens","properties":{"Usage":{"type":"number","description":"The usage based charge in USD","format":"decimal","uniqueKey":"MonthlyAiGatewayCachedTokens.oneOf.0.Usage","typeLabel":"number\u003cdecimal>"},"TotalUnits":{"type":"integer","description":"The billed quantity for the related product","format":"int64","uniqueKey":"MonthlyAiGatewayCachedTokens.oneOf.0.TotalUnits","typeLabel":"integer\u003cint64>"},"MeasuringUnit":{"oneOf":[{"type":"string","description":"Measuring Unit for TotalUnits (e.g. Rows, GB, Seconds, Bytes, Block-seconds)","uniqueKey":"MonthlyAiGatewayCachedTokens.oneOf.0.MeasuringUnit.oneOf.0","typeLabel":"string"},{"type":"null","description":"Measuring Unit for TotalUnits (e.g. Rows, GB, Seconds, Bytes, Block-seconds)","uniqueKey":"MonthlyAiGatewayCachedTokens.oneOf.0.MeasuringUnit.oneOf.1","typeLabel":"null"}],"uniqueKey":"MonthlyAiGatewayCachedTokens.oneOf.0.MeasuringUnit","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"MonthlyAiGatewayCachedTokens.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"MonthlyAiGatewayCachedTokens.oneOf.1","typeLabel":"null"}],"uniqueKey":"MonthlyAiGatewayCachedTokens","typeLabel":"object | null"},"MonthlyAiGatewayOtherCharges":{"oneOf":[{"type":"object","description":"The monthly AI Gateway charges that aren't for input, output or cached tokens, and the number of requests that had them","properties":{"Usage":{"type":"number","description":"The usage based charge in USD","format":"decimal","uniqueKey":"MonthlyAiGatewayOtherCharges.oneOf.0.Usage","typeLabel":"number\u003cdecimal>"},"TotalUnits":{"type":"integer","description":"The billed quantity for the related product","format":"int64","uniqueKey":"MonthlyAiGatewayOtherCharges.oneOf.0.TotalUnits","typeLabel":"integer\u003cint64>"},"MeasuringUnit":{"oneOf":[{"type":"string","description":"Measuring Unit for TotalUnits (e.g. Rows, GB, Seconds, Bytes, Block-seconds)","uniqueKey":"MonthlyAiGatewayOtherCharges.oneOf.0.MeasuringUnit.oneOf.0","typeLabel":"string"},{"type":"null","description":"Measuring Unit for TotalUnits (e.g. Rows, GB, Seconds, Bytes, Block-seconds)","uniqueKey":"MonthlyAiGatewayOtherCharges.oneOf.0.MeasuringUnit.oneOf.1","typeLabel":"null"}],"uniqueKey":"MonthlyAiGatewayOtherCharges.oneOf.0.MeasuringUnit","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"MonthlyAiGatewayOtherCharges.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"MonthlyAiGatewayOtherCharges.oneOf.1","typeLabel":"null"}],"uniqueKey":"MonthlyAiGatewayOtherCharges","typeLabel":"object | null"},"MonthlyBandwidthUsed":{"type":"integer","description":"Total bandwidth used by the account during this month.","format":"int64","uniqueKey":"MonthlyBandwidthUsed","typeLabel":"integer\u003cint64>"},"MonthlyDnsSmartQueriesServed":{"type":"integer","description":"Total number of Bunny DNS smart queries served this month.","format":"int64","uniqueKey":"MonthlyDnsSmartQueriesServed","typeLabel":"integer\u003cint64>"},"MonthlyDnsNormalQueriesServed":{"type":"integer","description":"Total number of Bunny DNS normal queries served this month.","format":"int64","uniqueKey":"MonthlyDnsNormalQueriesServed","typeLabel":"integer\u003cint64>"},"MonthlyTranscriptionMinutes":{"type":"integer","description":"Total minutes used for Bunny Stream Transcribe this month.","format":"int64","uniqueKey":"MonthlyTranscriptionMinutes","typeLabel":"integer\u003cint64>"},"MonthlyPremiumEncodingBillableMinutes":{"type":"integer","description":"Total billable minutes used for Bunny Stream Premium Encoding this month.","format":"int64","uniqueKey":"MonthlyPremiumEncodingBillableMinutes","typeLabel":"integer\u003cint64>"},"MonthlyDRMLicensesIssued":{"type":"integer","description":"DRM (enterprise) licenses issued this month.","format":"int64","uniqueKey":"MonthlyDRMLicensesIssued","typeLabel":"integer\u003cint64>"},"MonthlyScriptingRequests":{"type":"integer","description":"Total number of edge script requests this month.","format":"int64","uniqueKey":"MonthlyScriptingRequests","typeLabel":"integer\u003cint64>"},"MonthlyScriptingCpuTime":{"type":"integer","description":"Total edge script CPU time (milliseconds) used this month.","format":"int64","uniqueKey":"MonthlyScriptingCpuTime","typeLabel":"integer\u003cint64>"},"BillingEnabled":{"type":"boolean","description":"Determines if billing is currently enabled for this user.","uniqueKey":"BillingEnabled","typeLabel":"boolean"},"MinimumMonthlyCommit":{"type":"number","description":"Determines the minimum monthly commit of the user.","format":"double","uniqueKey":"MinimumMonthlyCommit","typeLabel":"number\u003cdouble>"},"VATRate":{"type":"number","description":"The VAT rate for the user's account.","format":"decimal","uniqueKey":"VATRate","typeLabel":"number\u003cdecimal>"},"NextMonthVATRate":{"type":"number","description":"Next month VAT rate for the user's account.","format":"decimal","uniqueKey":"NextMonthVATRate","typeLabel":"number\u003cdecimal>"},"AutomaticPaymentImageUrl":{"oneOf":[{"type":"string","description":"If an automatic payment method is configured, this will contain the image url of the payment method","uniqueKey":"AutomaticPaymentImageUrl.oneOf.0","typeLabel":"string"},{"type":"null","description":"If an automatic payment method is configured, this will contain the image url of the payment method","uniqueKey":"AutomaticPaymentImageUrl.oneOf.1","typeLabel":"null"}],"uniqueKey":"AutomaticPaymentImageUrl","typeLabel":"string | null"},"AutomaticPaymentCardType":{"oneOf":[{"type":"string","description":"If an automatic payment method is configured with a credit card, this will contain the name of the payment credit card","uniqueKey":"AutomaticPaymentCardType.oneOf.0","typeLabel":"string"},{"type":"null","description":"If an automatic payment method is configured with a credit card, this will contain the name of the payment credit card","uniqueKey":"AutomaticPaymentCardType.oneOf.1","typeLabel":"null"}],"uniqueKey":"AutomaticPaymentCardType","typeLabel":"string | null"},"AutomaticPaymentIdentifier":{"oneOf":[{"type":"string","description":"If an automatic payment method is configured, this will contain the identifier of the payment method","uniqueKey":"AutomaticPaymentIdentifier.oneOf.0","typeLabel":"string"},{"type":"null","description":"If an automatic payment method is configured, this will contain the identifier of the payment method","uniqueKey":"AutomaticPaymentIdentifier.oneOf.1","typeLabel":"null"}],"uniqueKey":"AutomaticPaymentIdentifier","typeLabel":"string | null"},"AutomaticPaymentAmount":{"type":"number","description":"If an automatic payments are configured, this contains the payment amount that will be made during an automatic recharge","format":"decimal","uniqueKey":"AutomaticPaymentAmount","typeLabel":"number\u003cdecimal>"},"AutomaticRechargeTreshold":{"type":"number","description":"If an automatic payments are configured, this contains the account balance amount that will trigger an automatic recharge","format":"decimal","uniqueKey":"AutomaticRechargeTreshold","typeLabel":"number\u003cdecimal>"},"AutomaticRechargeEnabled":{"type":"boolean","description":"Determines if automatic recharge is currently enabled.","uniqueKey":"AutomaticRechargeEnabled","typeLabel":"boolean"},"AutomaticPaymentFailureCount":{"type":"integer","description":"Determines the number of failed automatic recharges that the system made since the last successful payment.","format":"int32","uniqueKey":"AutomaticPaymentFailureCount","typeLabel":"integer\u003cint32>"},"SavedPaymentMethods":{"oneOf":[{"type":"array","description":"Contains the list of saved payment methods on the user's account","items":{"type":"object","additionalProperties":false,"properties":{"Token":{"oneOf":[{"type":"string","uniqueKey":"SavedPaymentMethods.oneOf.0.items.[INDEX].Token.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"SavedPaymentMethods.oneOf.0.items.[INDEX].Token.oneOf.1","typeLabel":"null"}],"uniqueKey":"SavedPaymentMethods.oneOf.0.items.[INDEX].Token","typeLabel":"string | null"},"ImageUrl":{"oneOf":[{"type":"string","uniqueKey":"SavedPaymentMethods.oneOf.0.items.[INDEX].ImageUrl.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"SavedPaymentMethods.oneOf.0.items.[INDEX].ImageUrl.oneOf.1","typeLabel":"null"}],"uniqueKey":"SavedPaymentMethods.oneOf.0.items.[INDEX].ImageUrl","typeLabel":"string | null"},"ExpirationDate":{"oneOf":[{"type":"string","uniqueKey":"SavedPaymentMethods.oneOf.0.items.[INDEX].ExpirationDate.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"SavedPaymentMethods.oneOf.0.items.[INDEX].ExpirationDate.oneOf.1","typeLabel":"null"}],"uniqueKey":"SavedPaymentMethods.oneOf.0.items.[INDEX].ExpirationDate","typeLabel":"string | null"},"LastFour":{"oneOf":[{"type":"string","uniqueKey":"SavedPaymentMethods.oneOf.0.items.[INDEX].LastFour.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"SavedPaymentMethods.oneOf.0.items.[INDEX].LastFour.oneOf.1","typeLabel":"null"}],"uniqueKey":"SavedPaymentMethods.oneOf.0.items.[INDEX].LastFour","typeLabel":"string | null"},"Email":{"oneOf":[{"type":"string","uniqueKey":"SavedPaymentMethods.oneOf.0.items.[INDEX].Email.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"SavedPaymentMethods.oneOf.0.items.[INDEX].Email.oneOf.1","typeLabel":"null"}],"uniqueKey":"SavedPaymentMethods.oneOf.0.items.[INDEX].Email","typeLabel":"string | null"}},"uniqueKey":"SavedPaymentMethods.oneOf.0.items.[INDEX]","typeLabel":"object"},"uniqueKey":"SavedPaymentMethods.oneOf.0","typeLabel":"object[]"},{"type":"null","description":"Contains the list of saved payment methods on the user's account","items":{"type":"object","additionalProperties":false,"properties":{"Token":{"oneOf":[{"type":"string"},{"type":"null"}]},"ImageUrl":{"oneOf":[{"type":"string"},{"type":"null"}]},"ExpirationDate":{"oneOf":[{"type":"string"},{"type":"null"}]},"LastFour":{"oneOf":[{"type":"string"},{"type":"null"}]},"Email":{"oneOf":[{"type":"string"},{"type":"null"}]}}},"uniqueKey":"SavedPaymentMethods.oneOf.1","typeLabel":"null"}],"uniqueKey":"SavedPaymentMethods","typeLabel":"object[] | null"},"EUUSDiscount":{"type":"integer","description":"The account wide pricing discount for EU and US region.","format":"int32","uniqueKey":"EUUSDiscount","typeLabel":"integer\u003cint32>"},"SouthAmericaDiscount":{"type":"integer","description":"The account wide pricing discount for South America region.","format":"int32","uniqueKey":"SouthAmericaDiscount","typeLabel":"integer\u003cint32>"},"AfricaDiscount":{"type":"integer","description":"The account wide pricing discount for Africa region.","format":"int32","uniqueKey":"AfricaDiscount","typeLabel":"integer\u003cint32>"},"AsiaOceaniaDiscount":{"type":"integer","description":"The account wide pricing discount for Asia \u0026 Oceania region.","format":"int32","uniqueKey":"AsiaOceaniaDiscount","typeLabel":"integer\u003cint32>"},"OptimizerMonthlyPrice":{"type":"number","description":"Optimizer monthly price per pull zone for this account (unless overridden on pull zone level).","format":"decimal","uniqueKey":"OptimizerMonthlyPrice","typeLabel":"number\u003cdecimal>"},"DrmBaseMonthlyPrice":{"type":"number","description":"DRM (Enterprise) base monthly price per video library.","format":"decimal","uniqueKey":"DrmBaseMonthlyPrice","typeLabel":"number\u003cdecimal>"},"DrmCostPerLicense":{"oneOf":[{"type":"number","description":"DRM (Enterprise) cost per license or default pricing tier applied if null.","format":"decimal","uniqueKey":"DrmCostPerLicense.oneOf.0","typeLabel":"number\u003cdecimal>"},{"type":"null","description":"DRM (Enterprise) cost per license or default pricing tier applied if null.","format":"decimal","uniqueKey":"DrmCostPerLicense.oneOf.1","typeLabel":"null"}],"uniqueKey":"DrmCostPerLicense","typeLabel":"number\u003cdecimal> | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"Balance":123,"ThisMonthCharges":123,"LastRechargeBalance":123,"AvailableBalance":123,"CouponBalance":123,"MonthlyCouponUsage":123,"BillingRecords":[{"Id":123,"PaymentId":"\u003cstring>","Amount":123,"Payer":"\u003cstring>","Timestamp":"2023-11-07T05:31:56Z","Type":0,"InvoiceAvailable":true,"DocumentDownloadUrl":"\u003cstring>","DetailedDocumentDownloadUrl":"\u003cstring>"}],"BillingHistoryChart":{},"MonthlyChargesEUTraffic":123,"MonthlyChargesUSTraffic":123,"MonthlyChargesASIATraffic":123,"MonthlyChargesAFTraffic":123,"MonthlyChargesSATraffic":123,"MonthlyChargesStorage":123,"MonthlyChargesDNS":123,"MonthlyChargesOptimizer":123,"MonthlyChargesTranscribe":123,"MonthlyChargesPremiumEncoding":123,"MonthlyChargesExtraPullZones":123,"MonthlyChargesExtraStorageZones":123,"MonthlyChargesExtraDnsZones":123,"MonthlyChargesExtraVideoLibraries":123,"MonthlyChargesScripting":123,"MonthlyChargesScriptingRequests":123,"MonthlyChargesScriptingCpu":123,"MonthlyChargesDrm":123,"MonthlyChargesMagicContainers":123,"MonthlyMcCpu":{"Usage":123,"TotalUnits":123,"MeasuringUnit":"\u003cstring>"},"MonthlyMcMemory":{"Usage":123,"TotalUnits":123,"MeasuringUnit":"\u003cstring>"},"MonthlyMcIp":{"Usage":123,"TotalUnits":123,"MeasuringUnit":"\u003cstring>"},"MonthlyMcIngressTraffic":{"Usage":123,"TotalUnits":123,"MeasuringUnit":"\u003cstring>"},"MonthlyMcEgressTraffic":{"Usage":123,"TotalUnits":123,"MeasuringUnit":"\u003cstring>"},"MonthlyMcVolumes":{"Usage":123,"TotalUnits":123,"MeasuringUnit":"\u003cstring>"},"MonthlyChargesShield":123,"MonthlyChargesTaxes":123,"MonthlyChargesWebSockets":123,"MonthlyChargesDB":123,"MonthlyChargesLoadBalancer":123,"MonthlyDBWrites":{"Usage":123,"TotalUnits":123,"MeasuringUnit":"\u003cstring>"},"MonthlyDBReads":{"Usage":123,"TotalUnits":123,"MeasuringUnit":"\u003cstring>"},"MonthlyDBStorage":{"Usage":123,"TotalUnits":123,"MeasuringUnit":"\u003cstring>"},"MonthlyDBReplica":{"Usage":123,"TotalUnits":123,"MeasuringUnit":"\u003cstring>"},"MonthlyChargesAiGateway":123,"MonthlyAiGatewayInputTokens":{"Usage":123,"TotalUnits":123,"MeasuringUnit":"\u003cstring>"},"MonthlyAiGatewayOutputTokens":{"Usage":123,"TotalUnits":123,"MeasuringUnit":"\u003cstring>"},"MonthlyAiGatewayCachedTokens":{"Usage":123,"TotalUnits":123,"MeasuringUnit":"\u003cstring>"},"MonthlyAiGatewayOtherCharges":{"Usage":123,"TotalUnits":123,"MeasuringUnit":"\u003cstring>"},"MonthlyBandwidthUsed":123,"MonthlyDnsSmartQueriesServed":123,"MonthlyDnsNormalQueriesServed":123,"MonthlyTranscriptionMinutes":123,"MonthlyPremiumEncodingBillableMinutes":123,"MonthlyDRMLicensesIssued":123,"MonthlyScriptingRequests":123,"MonthlyScriptingCpuTime":123,"BillingEnabled":true,"MinimumMonthlyCommit":123,"VATRate":123,"NextMonthVATRate":123,"AutomaticPaymentImageUrl":"\u003cstring>","AutomaticPaymentCardType":"\u003cstring>","AutomaticPaymentIdentifier":"\u003cstring>","AutomaticPaymentAmount":123,"AutomaticRechargeTreshold":123,"AutomaticRechargeEnabled":true,"AutomaticPaymentFailureCount":123,"SavedPaymentMethods":[{"Token":"\u003cstring>","ImageUrl":"\u003cstring>","ExpirationDate":"\u003cstring>","LastFour":"\u003cstring>","Email":"\u003cstring>"}],"EUUSDiscount":123,"SouthAmericaDiscount":123,"AfricaDiscount":123,"AsiaOceaniaDiscount":123,"OptimizerMonthlyPrice":123,"DrmBaseMonthlyPrice":123,"DrmCostPerLicense":123}}},"exampleType":"generated"}},"exampleType":"generated"},"3f674616-0d7a-4ad7-b6d9-a550eed2538f":{"description":"Customer is not assigned to this partner.","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{"4923d3fa-391b-4e78-accc-f817eddb9b7d":{"AccessKey":{"type":"apiKey","description":"API Access Key authorization header","name":"AccessKey","in":"header","scopes":["ResellerPartner","MSPPartner"],"schemeName":"AccessKey"}},"32c270f3-30b9-4653-97b2-0e5252e96026":{"bearer":{"type":"apiKey","description":"Bearer token authorization header","name":"Authorization","in":"header","scopes":["ResellerPartner","MSPPartner"],"schemeName":"bearer"}}},"servers":{"6581fa29-65cc-44e7-8d06-f6017a6fe91d":{"url":"https://api.bunny.net","description":"bunny.net API Server"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","description":"API Access Key authorization header","name":"AccessKey","in":"header","scopes":["ResellerPartner","MSPPartner"],"schemeName":"AccessKey"},"schema":{"title":"AccessKey","type":"string","description":"API Access Key authorization header","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"AccessKey","name":"AccessKey"}],"title":"AccessKey"},{"schemes":[{"scheme":{"type":"apiKey","description":"Bearer token authorization header","name":"Authorization","in":"header","scopes":["ResellerPartner","MSPPartner"],"schemeName":"bearer"},"schema":{"title":"Authorization","type":"string","description":"Bearer token authorization header","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"bearer","name":"Authorization"}],"title":"bearer"}]},"originalFileLocation":"https://core-api-public-docs.b-cdn.net/docs/v3/PartnerPortal.json"},"subdomain":"bunnynet-cb9733c2","siteName":"bunny.net Documentation","title":"Get Customer Billing - bunny.net Documentation","relatedPagesConfig":{"enabled":false,"limit":5,"mode":"automatic"},"navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"originalFileLocation":"api-reference/partner/billing/get-customer-billing.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Get a billing summary for the customer\u0026#x27;s account, including invoice history.\">\u003cmeta data-mint-head name=\"application-name\" content=\"bunny.net Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/bunnynet-cb9733c2/Zv4NOenQlgPS3TXm/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/docs/mintlify-assets/_mintlify/favicons/bunnynet-cb9733c2/Zv4NOenQlgPS3TXm/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/bunnynet-cb9733c2/Zv4NOenQlgPS3TXm/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/bunnynet-cb9733c2/Zv4NOenQlgPS3TXm/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/bunnynet-cb9733c2/Zv4NOenQlgPS3TXm/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/bunnynet-cb9733c2/Zv4NOenQlgPS3TXm/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/bunnynet-cb9733c2/Zv4NOenQlgPS3TXm/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/bunnynet-cb9733c2/Zv4NOenQlgPS3TXm/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/bunnynet-cb9733c2/Zv4NOenQlgPS3TXm/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get Customer Billing - bunny.net Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Get a billing summary for the customer\u0026#x27;s account, including invoice history.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"bunny.net Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://bunny.net/docs/api-reference/partner/billing/get-customer-billing\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://bunnynet-cb9733c2.mintlify.app/_mintlify/api/og/v2?division=Billing\u0026amp;title=Get+Customer+Billing\u0026amp;description=Get+a+billing+summary+for+the+customer%27s+account%2C+including+invoice+history.\u0026amp;theme=3e3fa11ba94222b95e7f52d5\u0026amp;signature=2399e0a443e3152022f00046eedba7445ce7519bd7762419612b62ab8987cb0b\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get Customer Billing - bunny.net Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Get a billing summary for the customer\u0026#x27;s account, including invoice history.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://bunnynet-cb9733c2.mintlify.app/_mintlify/api/og/v2?division=Billing\u0026amp;title=Get+Customer+Billing\u0026amp;description=Get+a+billing+summary+for+the+customer%27s+account%2C+including+invoice+history.\u0026amp;theme=3e3fa11ba94222b95e7f52d5\u0026amp;signature=2399e0a443e3152022f00046eedba7445ce7519bd7762419612b62ab8987cb0b\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/docs/mintlify-assets/_mintlify/favicons/bunnynet-cb9733c2/Zv4NOenQlgPS3TXm/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"bunny.net Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#EF6126\">\u003clink data-mint-head rel=\"canonical\" href=\"https://bunny.net/docs/api-reference/partner/billing/get-customer-billing\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/docs/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/api-reference/partner/billing/get-customer-billing.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://bunny.net/#organization\",\"name\":\"bunny.net Documentation\",\"url\":\"https://bunny.net\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/bunnynet-cb9733c2/54-4KCQKoNVNuoyW/logo/bunny-logo-dark.svg?fit=max\u0026auto=format\u0026n=54-4KCQKoNVNuoyW\u0026q=85\u0026s=62c091ea1aaea93d0a981902b7783e37\"}},{\"@type\":\"WebSite\",\"@id\":\"https://bunny.net/docs#website\",\"name\":\"bunny.net Documentation\",\"url\":\"https://bunny.net/docs\",\"publisher\":{\"@id\":\"https://bunny.net/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://bunny.net/docs/api-reference/partner/billing/get-customer-billing#webpage\",\"url\":\"https://bunny.net/docs/api-reference/partner/billing/get-customer-billing\",\"name\":\"Get Customer Billing\",\"description\":\"Get a billing summary for the customer's account, including invoice history.\",\"isPartOf\":{\"@id\":\"https://bunny.net/docs#website\"},\"breadcrumb\":{\"@id\":\"https://bunny.net/docs/api-reference/partner/billing/get-customer-billing#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://bunny.net/docs/api-reference/partner/billing/get-customer-billing#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Reference\",\"item\":\"https://bunny.net/docs/api-reference/partner/index\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Get Customer Billing\",\"item\":\"https://bunny.net/docs/api-reference/partner/billing/get-customer-billing\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://bunny.net/docs/api-reference/partner/billing/get-customer-billing#apireference\",\"headline\":\"Get Customer Billing\",\"name\":\"Get Customer Billing\",\"description\":\"Get a billing summary for the customer's account, including invoice history.\",\"url\":\"https://bunny.net/docs/api-reference/partner/billing/get-customer-billing\",\"mainEntityOfPage\":{\"@id\":\"https://bunny.net/docs/api-reference/partner/billing/get-customer-billing#webpage\"},\"publisher\":{\"@id\":\"https://bunny.net/#organization\"},\"isPartOf\":{\"@id\":\"https://bunny.net/docs#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"bunny.net Documentation\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"bunny.net Documentation","nav":{"global":null,"products":[{"product":"Home","icon":"book-open","pages":[{"title":"Home","href":""}]},{"product":"CDN","icon":"zap","description":"Accelerate and protect your content globally","pages":[{"title":"CDN","href":"/cdn"}]},{"product":"Magic Containers","icon":"box","description":"Deploy any app anywhere with Docker","pages":[{"title":"Magic Containers","href":"/magic-containers"}]},{"product":"Edge Scripting","icon":"code","description":"Deploy serverless code at the edge","pages":[{"title":"Edge Scripting","href":"/scripting"}]},{"product":"Stream","icon":"video","description":"Video streaming and delivery platform","pages":[{"title":"Stream","href":"/stream"}]},{"product":"Storage","icon":"hard-drive","description":"Global object storage","pages":[{"title":"Storage","href":"/storage"}]},{"product":"Shield","icon":"shield","description":"Stay protected and online no matter what","pages":[{"title":"Shield","href":"/shield"}]},{"product":"Optimizer","icon":"sparkles","description":"Automatic image and web optimization.","pages":[{"title":"Optimizer","href":"/optimizer"}]},{"product":"DNS","icon":"globe","description":"Unlock the true power of DNS with an ultra-fast scriptable platform","pages":[{"title":"DNS","href":"/dns"}]},{"product":"Database","icon":"database","description":"Serverless SQLite over HTTP","pages":[{"title":"Database","href":"/database"}]},{"product":"Integrations","icon":"puzzle","description":"Official and third-party plugins and integrations","pages":[{"title":"Integrations","href":"/integrations/wordpress"}]},{"product":"CLI","icon":"terminal","description":"Manage bunny.net from your terminal","pages":[{"title":"CLI","href":"/cli"}]},{"product":"API Reference","icon":"square-terminal","description":"Build \u0026 Integrate with the Platform API","pages":[{"title":"API Reference","href":"/api-reference"}]},{"product":"Partners","icon":"handshake","description":"Manage customers, pricing, and billing as a bunny.net partner","tabs":[{"tab":"Documentation","groups":[{"group":"Documentation","pages":[{"title":"bunny.net Partner Portal","sidebarTitle":"Overview","href":"/partners"}]},{"group":"API Reference","pages":[{"title":"Partner Portal API Reference","sidebarTitle":"Overview","href":"/api-reference/partner/index"},{"group":"Customers","pages":[{"title":"List Customers","deprecated":null,"version":null,"openapi":"https://core-api-public-docs.b-cdn.net/docs/v3/PartnerPortal.json get /partner/customers","href":"/api-reference/partner/customers/list-customers"},{"title":"Create Customer","deprecated":null,"version":null,"openapi":"https://core-api-public-docs.b-cdn.net/docs/v3/PartnerPortal.json post /partner/customers","href":"/api-reference/partner/customers/create-customer"},{"title":"Get Customer Overview","deprecated":null,"version":null,"openapi":"https://core-api-public-docs.b-cdn.net/docs/v3/PartnerPortal.json get /partner/customer/{customerUserId}","href":"/api-reference/partner/customers/get-customer-overview"},{"title":"Get Partner Overview","deprecated":null,"version":null,"openapi":"https://core-api-public-docs.b-cdn.net/docs/v3/PartnerPortal.json get /partner/overview","href":"/api-reference/partner/customers/get-partner-overview"},{"title":"Invite Customer","deprecated":null,"version":null,"openapi":"https://core-api-public-docs.b-cdn.net/docs/v3/PartnerPortal.json post /partner/customers/invite","href":"/api-reference/partner/customers/invite-customer"}]},{"group":"Audit Log","pages":[{"title":"Get Audit Log","deprecated":null,"version":null,"openapi":"https://core-api-public-docs.b-cdn.net/docs/v3/PartnerPortal.json get /partner/customer/{customerUserId}/audit/{date}","href":"/api-reference/partner/audit-log/get-audit-log"}]},{"group":"Contract","pages":[{"title":"Get Contract","description":"Get the contract details for the authenticated partner.","deprecated":null,"version":null,"openapi":"https://core-api-public-docs.b-cdn.net/docs/v3/PartnerPortal.json get /partner/contract","href":"/api-reference/partner/contract/get-contract"}]},{"group":"Billing","pages":[{"title":"Get Customer Billing","deprecated":null,"version":null,"openapi":"https://core-api-public-docs.b-cdn.net/docs/v3/PartnerPortal.json get /partner/customer/{customerUserId}/billing","href":"/api-reference/partner/billing/get-customer-billing"},{"title":"Download Invoice PDF","description":"Download the customer's invoice PDF for an existing billing record.","deprecated":null,"version":null,"openapi":"https://core-api-public-docs.b-cdn.net/docs/v3/PartnerPortal.json get /partner/customer/{customerUserId}/billing/{billingRecordId}/pdf","href":"/api-reference/partner/billing/download-invoice-pdf"}]},{"group":"Pricing","pages":[{"title":"Get Customer Pricing","deprecated":null,"version":null,"openapi":"https://core-api-public-docs.b-cdn.net/docs/v3/PartnerPortal.json get /partner/customer/{customerUserId}/pricing","href":"/api-reference/partner/pricing/get-customer-pricing"},{"title":"Get Partner Pricing","deprecated":null,"version":null,"openapi":"https://core-api-public-docs.b-cdn.net/docs/v3/PartnerPortal.json get /partner/pricing","href":"/api-reference/partner/pricing/get-partner-pricing"}]},{"group":"Products","pages":[{"title":"List Customer Products","deprecated":null,"version":null,"openapi":"https://core-api-public-docs.b-cdn.net/docs/v3/PartnerPortal.json get /partner/customer/{customerUserId}/products","href":"/api-reference/partner/products/list-customer-products"},{"title":"Set Customer Product","deprecated":null,"version":null,"openapi":"https://core-api-public-docs.b-cdn.net/docs/v3/PartnerPortal.json put /partner/customer/{customerUserId}/products/{productId}","href":"/api-reference/partner/products/set-customer-product"}]}]}]}]}]},"basePath":"","title":"Get Customer Billing - bunny.net Documentation","buildId":"dpl_6cCEiK8XNNvaLBBkWzcBhdE9QfLC","deploymentId":"dpl_6cCEiK8XNNvaLBBkWzcBhdE9QfLC","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CLz2_Z5D.js","utils-7A5jZhOT.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-BVWmkKuv.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-4SOfrh0F.js","snippetPresets-CMc8KicP.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-Ba9tX7z3.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-Be8krXvv.js","shallow-CBC3K1uB.js","getApiPlaygroundDisplay-4tKcUAYo.js","CodeSnippet-C1Xa06ft.js","CodeSnippets-vqiz27A_.js","Page-DeQN5MDd.js","getPastedJson-NUwRfM32.js","icon-DkIVqWh9.js","MethodPill-qmhT7_wz.js","DuplicateIcon-_gWp1vhn.js","createIcon-NA1p_TVA.js","DynamicMarkdown-Bas9A7wq.js","SectionHeading-a1cS-24U.js","axios-vUo_bRtp.js","Markdown-D3ZTwq_a.js","clsx-BcghKhHb.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-B66mVNPp.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-DmooSyTN.js"]}